Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# IIOP Namespace Reference

## Compounds
struct | BiDirIIOPServiceContext
struct | ListenPoint
class | ListenPointList
## Typedefs
typedef TAO_Var_Var_T< ListenPoint > | ListenPoint_var
typedef TAO_Out_T< ListenPoint, ListenPoint_var > | ListenPoint_out
typedef TAO_VarSeq_Var_T< ListenPointList, ListenPoint > | ListenPointList_var
typedef TAO_Seq_Out_T< ListenPointList, ListenPointList_var, ListenPoint > | ListenPointList_out
typedef TAO_Var_Var_T< BiDirIIOPServiceContext > | BiDirIIOPServiceContext_var
typedef TAO_Out_T< BiDirIIOPServiceContext, BiDirIIOPServiceContext_var > | BiDirIIOPServiceContext_out
## Variables
::CORBA::TypeCode_ptr | _tc_ListenPoint
::CORBA::TypeCode_ptr | _tc_ListenPointList
::CORBA::TypeCode_ptr | _tc_BiDirIIOPServiceContext

## Typedef Documentation

typedef TAO_Out_T< BiDirIIOPServiceContext, BiDirIIOPServiceContext_var > IIOP::BiDirIIOPServiceContext_out

typedef TAO_Var_Var_T< BiDirIIOPServiceContext > IIOP::BiDirIIOPServiceContext_var

typedef TAO_Out_T< ListenPoint, ListenPoint_var > IIOP::ListenPoint_out

typedef TAO_Var_Var_T< ListenPoint > IIOP::ListenPoint_var

typedef TAO_Seq_Out_T< ListenPointList, ListenPointList_var, ListenPoint > IIOP::ListenPointList_out

typedef TAO_VarSeq_Var_T< ListenPointList, ListenPoint > IIOP::ListenPointList_var

## Variable Documentation

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr IIOP::_tc_BiDirIIOPServiceContext

| Initial value:
        &_tc_TAO_tc_IIOP_BiDirIIOPServiceContext

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr IIOP::_tc_ListenPoint

| Initial value:
        &_tc_TAO_tc_IIOP_ListenPoint

TAO_NAMESPACE_STORAGE_CLASS::CORBA::TypeCode_ptr IIOP::_tc_ListenPointList

| Initial value:
        &_tc_TAO_tc_IIOP_ListenPointList